Activate a scoring policy
curl --request POST \
--url https://app.sahlfinancial.com/api/v1/scoring/policies/{policy_id}/activate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sahlfinancial.com/api/v1/scoring/policies/{policy_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sahlfinancial.com/api/v1/scoring/policies/{policy_id}/activate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "2f8c1d5a-7b3e-4e96-8a4d-0c6b9e1f3d72",
"path": "kyc",
"country": "MA",
"name": "Standard 2026",
"description": "Default thresholds",
"weights": {
"income_stability": 0.3,
"debt_ratio": 0.3,
"bank_behaviour": 0.2,
"documents": 0.2
},
"approve_threshold": 700,
"refuse_threshold": 500,
"dti_cap_pct": 40,
"require_cnss": true,
"require_domiciliation": false,
"gds_cap_pct": null,
"tds_cap_pct": null,
"min_bureau_score": null,
"is_active": true
}{
"detail": "Invalid or expired token"
}{
"detail": "Insufficient permissions"
}{
"detail": "Policy not found"
}{
"detail": [
{
"type": "missing",
"loc": [
"body",
"bank_code"
],
"msg": "Field required",
"input": {}
}
]
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Please slow down."
}Activate a scoring policy
Who can call it: tenant_admin or platform_admin.
Makes this policy the active one for its path and deactivates the others on that path, in one transaction. New scores use it; old cases are not re-scored.
Auth: dashboard session (Authorization: Bearer <access token>). Not available with a partner API key.
Activate a scoring policy
curl --request POST \
--url https://app.sahlfinancial.com/api/v1/scoring/policies/{policy_id}/activate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sahlfinancial.com/api/v1/scoring/policies/{policy_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sahlfinancial.com/api/v1/scoring/policies/{policy_id}/activate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "2f8c1d5a-7b3e-4e96-8a4d-0c6b9e1f3d72",
"path": "kyc",
"country": "MA",
"name": "Standard 2026",
"description": "Default thresholds",
"weights": {
"income_stability": 0.3,
"debt_ratio": 0.3,
"bank_behaviour": 0.2,
"documents": 0.2
},
"approve_threshold": 700,
"refuse_threshold": 500,
"dti_cap_pct": 40,
"require_cnss": true,
"require_domiciliation": false,
"gds_cap_pct": null,
"tds_cap_pct": null,
"min_bureau_score": null,
"is_active": true
}{
"detail": "Invalid or expired token"
}{
"detail": "Insufficient permissions"
}{
"detail": "Policy not found"
}{
"detail": [
{
"type": "missing",
"loc": [
"body",
"bank_code"
],
"msg": "Field required",
"input": {}
}
]
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Please slow down."
}Authorizations
The access token (JWT) of a signed-in console user, from POST /v1/auth/login. It lasts 30 minutes. It is not an API key: a partner API key is refused here. There is no cookie.
Path Parameters
Response
OK
Show child attributes
Show child attributes